#ifndef FORCE_SEAT_MI_SIMULINK_H
#define FORCE_SEAT_MI_SIMULINK_H

void SetPosPhy(double yaw_rad, double pitch_rad, double roll_rad, double heave_mm, double sway_mm, double surge_mm, int enable);
void SetPosLog(double yaw, double pitch, double roll, double heave, double sway, double surge, int enable);
void Refresh(int enable);
void SendTelemetryACE(double yawVelocity, double pitchVelocity, double rollVelocity, double heaveAcc, double swayAcc, double surgeAcc,
					  double extraYaw_rad, double extraPitch_rad, double extraRoll_rad, double extraHeave_m, double extraSway_m, double extraSurge_m,
					  int rpm, int maxRpm, int enable);

double GetYaw_rad();
double GetPitch_rad();
double GetRoll_rad();
double GetHeave_mm();
double GetSway_mm();
double GetSurge_mm();

void initialize();
void terminate();

#endif
